<?lsp
-- If a HEAD request from the JavaScript code below.

local user,_,authType = request:user()

if request:data().logout then
   response:setdigest("Logout")
   request:logout()
else
   -- Redirect to root if not authenticated
   if not user then
      response:sendredirect("/rtl/")
   end
end

if authType == "form" then
  request:logout()
  response:sendredirect("/rtl/")
end

-- The extra header we need ".header" to add.
headerdata=[[
  <script>
function logout()
{
   try {
      var x = new XMLHttpRequest();
      x.open("HEAD", document.location.href+"?logout=true", false);
      x.send();
      x = new XMLHttpRequestWrapper();
      x.open("GET", document.location+"?logout=", false,"zzzzzaa","12df4567");
      x.send();
   }
   catch(e) {
   }
   document.location.href = document.location;
};
  </script>
]]

title="Logout"
response:include"/rtl/.header.lsp"
?>
<h1>Logout</h1>

<p><b>Do the following to logout:</b></p>
<ol>
<li>Press the logout button.</li>
<li>Press the cancel button in the login popup window.</li>
<li>Close all browser windows if this page reappears after pressing the cancel button.</li>
</ol>

<input type="button" value="Logout" onclick="logout();" />

<p>You are using <?lsp=authType?> authentication and it is therefore difficult to make sure that you are actually logged out. It is safer if you close all browser windows.</p>
<?lsp response:include"/rtl/.footer.lsp" ?>
