
var rpc=null;
var categories=null; //The Category array returned in refreshCategoriesResp
var selCatRowid=null; //Selected category rowid
var selCatName=null; //Selected category text

function setCategory()
{
   if(categories)
   {
      if(selCatRowid != null)
      {
         for(var i = 0;  i < categories.length; i++) {
            if(categories[i].rowid == selCatRowid) {
               selCatName=categories[i].name;
               break;
            }
         }
      }
      else if(selCatName != null)
      {
         for(var i = 0;  i < categories.length; i++) {
            if(categories[i].name == selCatName) {
               selCatRowid=categories[i].rowid;
               break;
            }
         }
      }
   }
}


function refreshCategoriesResp(status, data)
{
   if(status) {
      if(data.length) {
         $('#category').empty();
         categories=data; //Save in global variable.
         setCategory();
         for(var i = 0; i < data.length; i++) {
            $('#category').get(0).add(
               new Option(data[i].name,data[i].rowid),
               document.all ? 0 : null);
         }
         if(selCatRowid!=null)
            $('#category').attr("value",selCatRowid);
      }
   }
   else
      alert(data.message);
}

function refreshCategories()
{
   /* This method is also called from the CategoryEditor.html popup
    * window when closing. We cannot directly run the RPC in the
    * context of the popup window when the window closes.
    */
   setTimeout("rpc.category.list(refreshCategoriesResp);", 10);
};

function openCategoryEditor()
{
window.open('CategoryEditor.html','CategoryEditor', 'toolbar=no,location=no,status=no,menubar=no,scrollbars=no,resizable=yes,width=300,height=400,top=100');
};


/* 1 Strip off whitespace on both ends.
   2 Remove extra whitespace in the string.
   Returns null if string cannot be converted.
*/
function mkStringUrlFriendly(s)
{
   s = s.replace(/(^\s+)|(\s+$)/g, ""); //Trim whitespace
   s=s.replace(/\s+/g, " "); //Remove extra spaces
   var test=s.replace(/\s+/g, "-"); //Replace space with -
   if(escape(test)==test) return s;
   alert("Error: \""+escape(test)+
         "\"\ncontains characters that cannot be in the subject line.\n\n"+
         "Please remove the non-URL friendly characters.");
   null;
};
