<?lsp
title="Help"
response:include".header.lsp"
local fmt=string.format
local io=app.io

local function getHelpDesc()
   local h=request:data"h"
   if h then
      local n=fmt("%shelp/%s-long.txt",pathname:match("(.-)[^/]+$"),h)
      if io:stat(n) then return io:open(n) end
      n=fmt("%shelp/%s.txt",pathname:match("(.-)[^/]+$"),h)
      if io:stat(n) then return io:open(n) end
   end
end

local fh=getHelpDesc()
if not fh then
   response:sendredirect"./"
   return
end

print(fh:read"*a")
fh:close()

local r=request:header"referer"
if r then
   response:write('<h1 style="text-align:left"><a href="',r,'">Return</a></h1>')
end
response:include".footer.lsp"
?>
