<?lsp
headerdata=[[
<style>#history{min-width:695px;margin-left:10px}</style>
<script type='text/javascript'>

$(function() {
   $("#history").change(function() {
      window.location = window.location.pathname+"?jobkey="+$(this).val();
   });
});
</script>
]]


local sqlutil=require"sqlutil"
local quote=luasql.quotestr
local fmt=string.format
local function w(...) response:write(...) end
local jobkey=data.jobkey

local function listjobs(cur)
   local key,subject,date = cur:fetch()
   if key then
      w'<table><tr><td>History: </td><td><select id="history">'
      if not jobkey then w'<option value="0" selected="selected">Select Optional History</option>' end
      while key do
         if #subject > 93 then subject=subject:sub(1,90).."..." end
         w('<option ',jobkey==key and 'selected="selected" ' or '','value="',key,'">',date,': ',subject,'</option>')
         key,subject,date = cur:fetch()
      end
      w'</select></td></tr></table>'
   end
end

local function tzone()
   local tzone=request:cookie"tzone"
   if tzone then
      tzone = tonumber(tzone:value())
      if tzone then return fmt("%d",tzone*60) end
   end
   return ""
end

function emitHistory(conn)
   sqlutil.select(conn,fmt("key,subject,date(date%s,'unixepoch') %s %s AND riop NOT NULL ORDER BY date DESC LIMIT 15",
                           tzone(),'FROM mailjob WHERE bduser=',quote(request:user())), listjobs)
end


?>
