<?lsp

local routerIP=request:data("routerIP")
if not routerIP then
    response:sendredirect"SearchUPnP.lsp"
   return
end

--local passwdProt = upnpc.httpget(routerIP,"/") == 401 and true or false

local http=require"http"

local c=http.create{persistent=false}
c:request{url=string.format("http://%s",routerIP),method="GET"}
local passwdProt = c:status() == 401 and true or false
c:close()

title="Enable UPnP"
-- Make ".header" load our Wikipedia help engine
headerdata=string.format([[
<script src="/rtl/jquery.js"></script>
<script src="../help.js"></script>
<script src="HackRouter.js"></script>
<script>onload=function() { startPasswdSearch("%s"); };</script>
]], passwdProt and routerIP or "")
response:include"../wizard/.header.lsp"
?>
<h1><?lsp=title?></h1>

<?lsp if passwdProt then ?>
<div id="SearchCont" style="padding:2em;border:3px ridge;margin-left: auto;margin-right: auto;width: 30em;background:#F4F4F4">
<div id="search">
<h3>Router Password</h3>
<p>Your router requires that you login. We are attempting to find your router password by using a database of known router default passwords. You can stop the search if you know your router's password. Otherwise, the complete search can take a few minutes.</p>
<b>Searching: <span id="noOfPass">....</span></b>
<table id="search" border="1" cellpading="8" style="width:100%;">
<tr><td style="width:50%">Username:</td><td id="user" style="width:50%"></td></tr>
<tr><td>Password:</td><td id="pass"></td></tr>
</table>
<img src="/rtl/wfm-album/loading.gif" width="48px" height="48px" alt="" style="float:right;margin:5px"/>
<button id="stop" style="margin-top:15px">stop</button>
<p><br/></p>
</div>
<div style="font-weight:bold" id="PassOK">
</div>
</div>
<?lsp end ?>


<div id="login" style="padding:2em;margin-left: auto;margin-right: auto;width: 30em">
<h3>Click the following link and login to your router:<br/>
<?lsp=string.format('<a href="http://%s" target="_blank">http://%s</a>',routerIP,routerIP)?>
</h3>

<p>The above link opens in a separate window. Login using your username and password. Look for a page in your router that allows you to enable UPnP. Consult your router documentation for more information.</p>

<b>Examples:</b>
<ul>
<li><b>D-Link:</b> Click Tools -> Misc -> UPnP Setting -> Enable.</li>
<li><b>Linksys:</b> Click Password -> UPnP Services -> Enable.</li>
</ul>

<p><br/><p>
<p style="font-weight: bold">Click the arrow when you have enabled UPnP in your router.</p> 
<p style="float:right;margin-left:1em"><a href="SearchUPnP.lsp" title="Next"><img src="../images/next.png" border="0" /></a></p> 

</div>


<?lsp
showAbort=true
response:include"../wizard/.footer.lsp"
?>
