<?lsp

local s = request:session(true)
if not s.username then
   response:sendredirect"../intro/"
   return
end

function getNext()
   return "./"
end


if not response:isinclude() and request:method() == "POST" then
   local udb=bd.db.user.load()
   if udb then
      local user = udb.v[s.username]
      if user then
         local function tableEmpty(t)
            local it;
            if next(t,it) then
               return false
            end
            return true
         end
         if not tableEmpty(user.roles) then -- In all roles if empty
            -- If not admin
            table.insert(user.roles, "TunFullAcc")
            bd.db.user.save(udb)
         end
         -- Create the full access tunnel constraint
         local tcdb = bd.db.tuncnstr.load()
         if tcdb and not tcdb.v.TunFullAcc then -- If no TunFullAcc constraint
            local constr = {urls={"/*"},methods={"GET"},roles={"TunFullAcc"}}
            tcdb.v.TunFullAcc=constr
            bd.db.tuncnstr.save(tcdb)
         end
      end
   end
   response:sendredirect(getNext())
   return
end
if not response:isinclude() then
   response:sendredirect"../intro/"
   return
end
?>
<div style="float:right;border:solid 1px;margin:1em;padding:0 1em .5em 1em">
<p>The user cannot use the following<br/>products without access to the tunnel:</p>
<ul>
<li><a href="https://FuguHub.com/MxTunnel.lsp" target="_blank">MxTunnel</a></li>
<li><a href="https://FuguHub.com/GetMyLAN/" target="_blank">GetMyLAN</a></li>
</ul>
</div>
<p>Would you like to give user "<?lsp=s.username?>" full access to the HTTPS tunnel?</p>

<p><br/></p>
<p>The HTTPS tunnel provides secure external Intranet access similar to VPN, but without the complexity. Please see our <a href="https://FuguHub.com/HttpsTunnel.lsp" target="_blank">online tunnel documentation</a> for more information.</p>
<p><br/></p>
<p>You should not add the user to the tunnel if you do not want the user to have full access. You can configure a detailed access list for the user later by using the FuguHub tunnel administrator panel.</p>

<table><tr>
<td>
<form method="post" action="add2tunnel.lsp">
  <input type="submit" value="Enable tunnel"/>
</form> 
</td>
<td>
   <form method="get" action="<?lsp=getNext()?>">
  <input type="submit" value="Cancel"/>
</form> 
</td>
</tr></table>
<h1><br/><br/><br/></h1>
