<?lsp

if request:data"addusers" then
   response:sendredirect"setuser.lsp"
   return
end

title="Menu: Administrator Panel: Wizard: Introduction"
response:include"/rtl/.header.lsp"
?>
<h1>Introduction</h1>
<table><tr>
<td>
<img src="../img/people.png" style="margin-right:2em"/>
</td>
<td>
   <p>FuguHub makes it possible to give your customers, friends, etc. access to your computer by allowing users to use the Web-File-Manager or WebDAV server. Many new users find it difficult to configure Access Control Lists (ACLs). This wizard includes a simplified ACL manager that makes it easier to add users and set the user's permission(s).</p>
</td></tr></table>
<p style='color:blue'>The Web File Manager and the WebDAV server use the same Access Control Lists. This means that the user will have the same access rights if the user uses a browser and the Web File Manager or if the user uses a WebDAV client such as Web Folders to access the remote FuguHub server.</p>


<p><b>You should use the simplified ACL manager if you are new to Access Control Lists and you plan on adding users with limited access to your computer.</b></p>

<form method="post">
<input type="submit" name="addusers" value="Continue" style="width:150px"/>
</form>

<?lsp
response:include"../.footer.lsp"
?>
