<?lsp

-- The extra header we need ".header" to add.
headerdata=[[
<script>
function isAdmin() {$("#admininfo").show();};
function isMailMgr() {$("#mailmgrinfo").show();};
</script>
]]
 
title="Menu: Introduction to the Large File Mailer"
response:include"/rtl/.header.lsp"
?>

<h1>Introduction to the Large File Mailer</h1>

<p>The File Mailer is integrated with the FuguHub's <a href="../wfslinks.lsp">Web File Server</a>. Files of any size can be uploaded using WebDAV or the drag and drop box feature in the Web File Manager. These files can then be sent as attachments or links to individuals or to predefined lists. Files can be emailed to an unlimited amount of lists and each list can have an unlimited amount of contacts.</p>

<p>The File Mailer is built on top of the existing multi user Web File Manager. Users with access to the Web File Manager can email any file they have access to via the constraints set by the administrator. Users with access to the File Mailer Administrator Panel can also create and manage contact lists, manage mail jobs, view the download history, etc.</p>

<div style="margin:auto;width:640px">
<iframe width="640" height="510" src="http://www.youtube.com/embed/LOdkkrXRIKc" frameborder="0" allowfullscreen></iframe>
</div>

<?lsp 
if request:data"admin" then
   print'<p style="font-weight:bold;font-size:140%">Return to the <a href="manage/help.lsp">Mail List Manager Introduction</a>.</p>'
else
   response:include"manage/help-intro.shtml"
   response:include"manage/help-send.shtml"
end
response:include"../../.EmptyFooter.lsp"

?>

